angle = 0
on_back=1

function love.load()
    -- background
    img_back = love.graphics.newImage("back.png")

    -- Load the "cursor"
    img_cur = love.graphics.newImage("love-ball.png")
    
    -- Hide the default mouse.
    love.mouse.setVisible(false)

end

function love.update(dt)
    angle = angle + dt
    x, y = 400 + math.cos(angle)*100, 300 + math.sin(angle)*100
end

function love.draw()
    -- Draw background
    if on_back==1 then
      love.graphics.draw(img_back, 660, 50, 0, -1 * 0.9, 1 * 0.9)
    end

    -- Draw the current FPS.
    love.graphics.print("background on/off: press b ", 50, 30)
    love.graphics.print("FPS: " .. love.timer.getFPS(), 50, 50)

    -- Draw flying object
    local rot = angle*180/math.pi
    local sx = math.cos(angle)*3
    local sy = math.sin(angle)*2
    love.graphics.draw(img_cur, x, y, rot, sx, sy, 32, 32)
end

--press "Q" for exit
function love.keypressed(k)
    if k == "b" then
      if on_back==1 then
        on_back=0
      else
        on_back=1
      end
    end
end

